package server;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

import transaction.IResourceManager;
import transaction.ResourceManagerImpl;

public class RMCar {
	
	public static void main(String[] args) {
//		if (System.getSecurityManager() == null) {
//            System.setSecurityManager(new SecurityManager());
//            
//        }
//		-Djava.security.policy=policy
        try {            
            ResourceManagerImpl rm = new ResourceManagerImpl();
            rm.start("data/car", IResourceManager.RMI_NAME_CAR_RM);
            IResourceManager stub =
                (IResourceManager) UnicastRemoteObject.exportObject(rm, 0);
            Registry registry = LocateRegistry.getRegistry();
            registry.rebind(IResourceManager.RMI_NAME_CAR_RM, stub);
            System.out.println("RMCar bound");
        } catch (Exception e) {
            System.err.println("RMCar exception:");
            e.printStackTrace();
        }

	}

}
