package transaction;

import java.io.Serializable;


public class LogEntry implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public int xid;
	public String resourceID;
	public String reservation;
	public LogType type;
	public ResourceData afterImage;
	
	public LogEntry(int xid, String resourceID, LogType type,
			ResourceData afterImage, String reservation) {
		super();
		this.xid = xid;
		this.resourceID = resourceID;
		this.type = type;
		this.afterImage = afterImage;
		this.reservation = reservation;
	}
	
	
		
	public LogEntry(int xid, LogType type) {
	super();
	this.xid = xid;
	this.type = type;
}



	public LogEntry() {
		//default constructor		
	}	
	
	public enum LogType{
		UPDATE_RESOURCE, INSERT_RESOURCE, INSERT_CUSTOMER, INSERT_RESERVATION 
	}
}
